Subject: Re: Cygnus Cygwin32 Press Release 1/21/97
From: [email-masked] (Jim Balter)

12 Feb 1997 18:13:29 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
		<[email-masked]>
		<[email-masked]> <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (WinNT; I)
Original-To: Richard Watts <[email-masked]>
Original-CC: [email-masked]
Original-Sender: [email-masked]

Richard Watts wrote:

>  There are also horrible arguments about whether modificationss in
> separate source files constitute aggregation or modification
> (note that dependency is not a good discriminator because
> of bug dependencies, and problems with eg. bash shell scripts
> falling under the GPL).
> 
> [1] this is dodgy anyway, since it could be argued that this is
> dynamic linkage, and therefore just constitutes aggregation, in the
> same way that MS can't claim rights over programs which link with
> kernel32.dll.
> 
> [2] ie. my clients own the source code anyway.

This is conceptual confusion; it's not a matter of Cygnus claiming
rights over code you own, it's a matter of distribution rights.  If your
code can't be run without using some piece of GPL software (cygwin.dll,
for instance), then your ownership of it does you little.  You have a
choice: sell your code to customers on the condition that they acquire
the GPL code code by themselves, or distribute the GPL code along with
yours and license your software to any party for free, as the GPL
requires.

Cygnus is now giving you another option: you can distribute cygwin.dll
along with your code without having to give your code away, if you
pay Cygnus for the privilege.

> >  In practice, I would expect that
> >we would not bother to pursue any such cases - not much to be gained
> >by it.
> 
>  True, however there are two problems with this :
> 
> (i) Corporate lawyers tend to get jumpy.
> (ii) In the UK, in some cases, breach of copyright is a criminal
> offence. This could cause problems if some third party (dare
> I mention the SPA ?) decided to press charges.

Indeed, it is corporate suicide to count on someone not bothering
to sue you.

--
<J Q B>
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".